OhMyGPT
Videos

List videos

GET
/v1/videos

Your video jobs, newest first.

授权

ApiKeyAuth
headerAuthorization<token>

查询参数

limit?integer

Jobs per page.

范围1 <= value <= 100
默认20
cursor?string

The next_cursor of the previous page.

响应主体

Successful response

application/json
  1. response
data*array<>
has_more*boolean
next_cursor?string

Pass as cursor for the next page; null on the last page.

object*"list"
值于"list"
示例请求
curl -X GET 'https://api.ohmygpt.com/v1/videos'
示例响应
{  "data": [    {      "created_at": "2019-08-24T14:15:22Z",      "error": {        "code": "string",        "message": "string"      },      "finished_at": "2019-08-24T14:15:22Z",      "id": "string",      "model": "string",      "object": "video",      "progress": 0,      "result_available": true,      "result_url_expires_at": "2019-08-24T14:15:22Z",      "seconds": 0,      "size": "string",      "status": "creating",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string",  "object": "list"}